Update scheduled charge

Updates a scheduled charge by account ID and recurring scheduled charge ID. It's only possible to update charges with current status PENDING. This endpoint generates a Recurring scheduled charge updated event.

NOTE: This endpoint requires an account token — an access token encoded with an account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Account ID

integer
required

ID of the recurring scheduled charge

Body Params
double

installment_amount is the full amount of an installment before any discount is applied.

string

Processing code for the debit transaction.

If split_transaction is false (the default), each installment payment is recorded as one debit transaction equal to the installment amount minus the discount, and processing_code is the processing code for that transaction.

If split_transaction is true, each installment payment is recorded as two transactions: a debit transaction for the installment amount and a credit transaction for the discount. In this case, processing_code is the processsing code for the debit transaction, and second_processing_code is the processing code for the credit transaction.

string
length between 1 and 100

A description of the scheduled charge that's linked to the account. Use counter to specify where the cycle count should be placed. Example: "Annuity {counter}" generates "Annuity 2/12" for the second of twelve annutities. If counter is not present, the counter is placed at the end of the description. If no description is configured, the description of the transaction type is used, and the counter is not shown.

string

Used to create the transaction for secondary_installment_amount. Normally, you should use a processing code for a credit transaction.

number

If split_transaction is true, then secondary_installment_amount is the discount (installment_amount * discount_percentage) that is subtracted from installment_amount to calculate the amount that the customer owes on the installment. If split_transaction is false, then secondary_installment_amount is 0, and the actual amount that the customer owes goes in installment_amount." In the first case, two transactions are generated — a debit transaction for installment_amount and a credit transaction for secondary_installment_amount. (This is the expected behavior. However, it assumes that processing_code and second_processing_code are set to values for debit and credit transactions, respectively.) In the second case, only one transaction is generated (the one for installment_amount).

string
length between 1 and 100

Optional secondary description of the scheduled charge. Use counter to specify where the cycle count should be placed. Example: "Annuity {counter}" generates "Annuity 2/12" for the second of twelve annutities.

Responses

400

Bad Request

404

Not Found

500

Internal server error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json